aboutsummaryrefslogtreecommitdiffstats
path: root/testing/clucene/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-06-08 07:53:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-06-08 07:53:47 +0000
commit923fc512e6d2cff3f28280c3a793a292df5a7849 (patch)
treebab5695c47b9ca89f49dc9f1cef762fc13b8e0b0 /testing/clucene/APKBUILD
parente131099e4573847d287275384d23862b54a6e1c1 (diff)
downloadaports-923fc512e6d2cff3f28280c3a793a292df5a7849.tar.gz
aports-923fc512e6d2cff3f28280c3a793a292df5a7849.tar.bz2
aports-923fc512e6d2cff3f28280c3a793a292df5a7849.tar.xz
testing/clucene: new aport
A C++ port of Lucene http://www.sourceforge.net/projects/clucene
Diffstat (limited to 'testing/clucene/APKBUILD')
-rw-r--r--testing/clucene/APKBUILD62
1 files changed, 62 insertions, 0 deletions
diff --git a/testing/clucene/APKBUILD b/testing/clucene/APKBUILD
new file mode 100644
index 0000000000..19efb69691
--- /dev/null
+++ b/testing/clucene/APKBUILD
@@ -0,0 +1,62 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=clucene
+pkgver=2.3.3.4
+pkgrel=0
+pkgdesc="A C++ port of Lucene"
+url="http://www.sourceforge.net/projects/clucene"
+arch="all"
+license="LGPLv2+ or ASL 2.0"
+depends=""
+depends_dev="zlib-dev boost-dev libiconv-dev"
+makedepends="cmake $depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-contribs"
+source="http://downloads.sourceforge.net/clucene/clucene-core-$pkgver.tar.gz
+ clucene-core-2.3.3.4-pkgconfig.patch
+ clucene-core-2.3.3.4-install_contribs_lib.patch
+ "
+
+_builddir="$srcdir"/clucene-core-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake . -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_CONTRIBS_LIB=BOOL:ON \
+ -DLIB_DESTINATION:PATH=/usr/lib \
+ -DLUCENE_SYS_INCLUDES:PATH=/usr/lib \
+ || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make install/fast DESTDIR="$pkgdir" || return 1
+ rm -r "$pkgdir"/usr/lib/CLuceneConfig.cmake
+}
+
+contribs() {
+ pkgdesc="Language specific text analyzers for CLucene"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libclucene-contribs*.so.* "$subpkgdir"/usr/lib/
+}
+
+dev() {
+ default_dev
+ mv "$pkgdir"/usr/lib/CLucene/*.cmake "$subpkgdir"/usr/lib/CLucene/ \
+ || return 1
+}
+
+md5sums="48d647fbd8ef8889e5a7f422c1bfda94 clucene-core-2.3.3.4.tar.gz
+28faf56ff95eb1f5239885ad5060e28f clucene-core-2.3.3.4-pkgconfig.patch
+c3c77ab7764fd37465a6af94f09cbd1e clucene-core-2.3.3.4-install_contribs_lib.patch"